#ifndef __NAV_PLUGIN_H__
#define __NAV_PLUGIN_H__

#include <sys/types.h>
#include "plugin.h"

/***** structs *****/
typedef struct {
	char *name;		// Chapter Name
} nav_tree_data_t;

typedef struct {
	int num;		// Number of Chapters
	char *name;		// Title Name
	nav_tree_data_t *sub;	// Chapters
} nav_subtree_t;

typedef struct {
	int num;		// Number of Titles
	nav_subtree_t *title;	// Titles
} nav_tree_t;

typedef struct {
// open
	int (*open) (plugin_t *plugin, char *path);
// close
	int (*close) ();
// play
        int (*play) (int title, int chapter, int parts2play);
// get Information
        nav_tree_t *(*get_info) ();
// register callback
	int (*register_callb) (u_int id, void (*cb) (void *, int ), void *data);
// unregister callback
	int (*unregister_callb) (u_int id);
// private data
        void *priv;
} plugin_nav_t;

#endif
